#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC9,0xE4,0x3D,0x27,0x7E,0xC5,0x0E,0x5E,0x4A,0xB3,0x73,0x81,
		0x43,0xD3,0x68,0x44,0x8A,0xDF,0x1F,0x21,0x4E,0xAC,0xAF,0x91,
		0xFE,0xA1,0x5C,0xCD,0xA2,0xB0,0x5E,0x96,0xA9,0x0E,0x8F,0xD5,
		0x2D,0x9B,0x7A,0xFC,0xDA,0x20,0xAC,0x6C,0x09,0x9F,0x71,0x5F,
		0x8D,0x6D,0x11,0x82,0x25,0xD9,0xB7,0x30,0x33,0x64,0x3B,0x81,
		0xD1,0x7D,0xD1,0x27,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
